PageRenderTime 2416ms CodeModel.GetById 1ms RepoModel.GetById 0ms app.codeStats 0ms

/pcr/packer-git/pur-support.patch

https://gitlab.com/parabola/abslibre_abslibre
Patch | 531 lines | 503 code | 28 blank | 0 comment | 0 complexity | 8818f9d741539da4fadf9dfb1a1c02c6 MD5 | raw file
  1. diff -Nur a/packer b/packer
  2. --- a/packer 2015-08-28 16:26:27.878307880 -0300
  3. +++ b/packer 2015-08-28 16:35:43.554089893 -0300
  4. @@ -24,9 +24,9 @@
  5. usermakepkgconf="$HOME/.makepkg.conf"
  6. pacmanconf='/etc/pacman.conf'
  7. -RPCURL="https://aur.archlinux.org/rpc.php?type"
  8. -PKGURL="https://aur.archlinux.org"
  9. -PKGBURL="https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD?h"
  10. +RPCURL="https://pur.parabola.nu/rpc.php?type"
  11. +PKGURL="https://pur.parabola.nu"
  12. +PKGBURL="https://pur.parabola.nu/cgit/pur.git/plain/PKGBUILD?h"
  13. if [[ -t 1 && ! $COLOR = "NO" ]]; then
  14. COLOR1='\e[1;39m'
  15. @@ -59,14 +59,14 @@
  16. echo ' -Syu|-Su - updates all packages, also takes -uu and -yy options'
  17. echo ' -Ss|-Ssq - searches for package'
  18. echo ' -Si - outputs info for package'
  19. - echo ' -G - download and extract aur tarball only'
  20. + echo ' -G - download and extract pur tarball only'
  21. echo
  22. echo ' --quiet - only output package name for searches'
  23. echo ' --ignore - takes a comma-separated list of packages to ignore'
  24. echo ' --noconfirm - do not prompt for any confirmation'
  25. echo ' --noedit - do not prompt to edit files'
  26. echo ' --quickcheck - check for updates and exit'
  27. - echo ' --auronly - only do actions for aur'
  28. + echo ' --puronly - only do actions for pur'
  29. echo ' --devel - update devel packages during -Su'
  30. echo ' --skipinteg - when using makepkg, do not check md5s'
  31. echo ' --preview - edit pkgbuild before sourcing'
  32. @@ -103,8 +103,8 @@
  33. [[ " ${ignoredpackages[@]} " =~ " $1 " ]]
  34. }
  35. -# Tests whether $1 exists on the aur
  36. -existsinaur() {
  37. +# Tests whether $1 exists on the pur
  38. +existsinpur() {
  39. rpcinfo "$1"
  40. [[ "$(jshon -Qe resultcount -u < "$tmpdir/$1.info")" != "0" ]]
  41. }
  42. @@ -131,8 +131,8 @@
  43. pacman -Qq -- "$1" &>/dev/null
  44. }
  45. -# Scrapes the aur deps from PKGBUILDS and puts in globally available dependencies array
  46. -scrapeaurdeps() {
  47. +# Scrapes the pur deps from PKGBUILDS and puts in globally available dependencies array
  48. +scrapepurdeps() {
  49. pkginfo "$1" "$preview"
  50. . "$tmpdir/$1.PKGBUILD"
  51. IFS=$'\n'
  52. @@ -141,26 +141,26 @@
  53. }
  54. # Finds dependencies of package $1
  55. -# Sets pacmandeps and aurdeps array, which can be accessed globally after function runs
  56. +# Sets pacmandeps and purdeps array, which can be accessed globally after function runs
  57. finddeps() {
  58. - # loop through dependencies, if not installed, determine if pacman or aur deps
  59. + # loop through dependencies, if not installed, determine if pacman or pur deps
  60. pacmandeps=()
  61. - aurdeps=()
  62. - scrapeaurdeps "$1"
  63. + purdeps=()
  64. + scrapepurdeps "$1"
  65. missingdeps=( $(pacman -T "${dependencies[@]}") )
  66. while [[ $missingdeps ]]; do
  67. checkdeps=()
  68. for dep in "${missingdeps[@]}"; do
  69. - if [[ " $1 ${aurdeps[@]} ${pacmandeps[@]} " =~ " $dep " ]]; then
  70. + if [[ " $1 ${purdeps[@]} ${pacmandeps[@]} " =~ " $dep " ]]; then
  71. continue
  72. fi
  73. if existsinpacman "$dep"; then
  74. pacmandeps+=("$dep")
  75. - elif existsinaur "$dep"; then
  76. - if [[ $aurdeps ]]; then
  77. - aurdeps=("$dep" "${aurdeps[@]}")
  78. + elif existsinpur "$dep"; then
  79. + if [[ $purdeps ]]; then
  80. + purdeps=("$dep" "${purdeps[@]}")
  81. else
  82. - aurdeps=("$dep")
  83. + purdeps=("$dep")
  84. fi
  85. checkdeps+=("$dep")
  86. elif providedinpacman "$dep"; then
  87. @@ -173,7 +173,7 @@
  88. done
  89. missingdeps=()
  90. for dep in "${checkdeps[@]}"; do
  91. - scrapeaurdeps "$dep"
  92. + scrapepurdeps "$dep"
  93. for depdep in "${dependencies[@]}"; do
  94. [[ $(pacman -T "$depdep") ]] && missingdeps+=("$depdep")
  95. done
  96. @@ -183,12 +183,12 @@
  97. }
  98. # Displays a progress bar ($1 is numerator, $2 is denominator, $3 is candy/normal)
  99. -aurbar() {
  100. +purbar() {
  101. # Delete line
  102. printf "\033[0G"
  103. # Get vars for output
  104. - beginline=" aur"
  105. + beginline=" pur"
  106. beginbar="["
  107. endbar="] "
  108. perc="$(($1*100/$2))"
  109. @@ -252,13 +252,13 @@
  110. fi
  111. }
  112. -# Checks if package is newer on aur ($1 is package name, $2 is local version)
  113. -aurversionisnewer() {
  114. +# Checks if package is newer on pur ($1 is package name, $2 is local version)
  115. +purversionisnewer() {
  116. rpcinfo "$1"
  117. - unset aurversion
  118. - if existsinaur "$1"; then
  119. - aurversion="$(jshon -Q -e results -e Version -u < "$tmpdir/$1.info")"
  120. - if [[ "$(LC_ALL=C vercmp "$aurversion" "$2")" -gt 0 ]]; then
  121. + unset purversion
  122. + if existsinpur "$1"; then
  123. + purversion="$(jshon -Q -e results -e Version -u < "$tmpdir/$1.info")"
  124. + if [[ "$(LC_ALL=C vercmp "$purversion" "$2")" -gt 0 ]]; then
  125. return 0
  126. fi
  127. fi
  128. @@ -281,14 +281,14 @@
  129. fi
  130. }
  131. -# Installs packages from aur ($1 is package, $2 is dependency or explicit)
  132. -aurinstall() {
  133. +# Installs packages from pur ($1 is package, $2 is dependency or explicit)
  134. +purinstall() {
  135. dir="${TMPDIR:-/tmp}/packerbuild-$UID/$1"
  136. sourcemakepkgconf
  137. # Prepare the installation directory
  138. - # If there is an old directory and aurversion is not newer, use old directory
  139. - if . "$dir/$1/PKGBUILD" &>/dev/null && ! aurversionisnewer "$1" "$pkgver-$pkgrel"; then
  140. + # If there is an old directory and purversion is not newer, use old directory
  141. + if . "$dir/$1/PKGBUILD" &>/dev/null && ! purversionisnewer "$1" "$pkgver-$pkgrel"; then
  142. cd "$dir/$1"
  143. else
  144. [[ -d "$dir" ]] && rm -rf "$dir"
  145. @@ -354,15 +354,15 @@
  146. # Figure out all of the packages that need to be installed
  147. for package in "${packageargs[@]}"; do
  148. # Determine whether package is in pacman repos
  149. - if ! [[ $auronly ]] && existsinpacman "$package"; then
  150. + if ! [[ $puronly ]] && existsinpacman "$package"; then
  151. pacmanpackages+=("$package")
  152. - elif ! [[ $auronly ]] && existsinpacmangroup "$package"; then
  153. + elif ! [[ $puronly ]] && existsinpacmangroup "$package"; then
  154. pacmanpackages+=("$package")
  155. - elif existsinaur "$package"; then
  156. + elif existsinpur "$package"; then
  157. if finddeps "$package"; then
  158. # here is where dep dupes are created
  159. - aurpackages+=("$package")
  160. - aurdepends=("${aurdeps[@]}" "${aurdepends[@]}")
  161. + purpackages+=("$package")
  162. + purdepends=("${purdeps[@]}" "${purdepends[@]}")
  163. pacmandepends+=("${pacmandeps[@]}")
  164. fi
  165. else
  166. @@ -370,8 +370,8 @@
  167. fi
  168. done
  169. - # Check if any aur target packages are ignored
  170. - for package in "${aurpackages[@]}"; do
  171. + # Check if any pur target packages are ignored
  172. + for package in "${purpackages[@]}"; do
  173. if isignored "$package"; then
  174. echo -ne "${COLOR5}:: ${COLOR1}$package is in IgnorePkg/IgnoreGroup. Install anyway?${ENDCOLOR} [Y/n] "
  175. if ! [[ $noconfirm ]]; then
  176. @@ -380,17 +380,17 @@
  177. echo
  178. fi
  179. fi
  180. - aurtargets+=("$package")
  181. + purtargets+=("$package")
  182. done
  183. - # Check if any aur dependencies are ignored
  184. - for package in "${aurdepends[@]}"; do
  185. + # Check if any pur dependencies are ignored
  186. + for package in "${purdepends[@]}"; do
  187. if isignored "$package"; then
  188. echo -ne "${COLOR5}:: ${COLOR1}$package is in IgnorePkg/IgnoreGroup. Install anyway?${ENDCOLOR} [Y/n] "
  189. if ! [[ $noconfirm ]]; then
  190. if ! proceed; then
  191. echo "Unresolved dependency \`$package'"
  192. - unset aurtargets
  193. + unset purtargets
  194. break
  195. fi
  196. else
  197. @@ -403,33 +403,33 @@
  198. if [[ $pacmanpackages ]]; then
  199. runasroot $PACMAN "${PACOPTS[@]}" -S -- "${pacmanpackages[@]}"
  200. fi
  201. - if [[ -z $aurtargets ]]; then
  202. + if [[ -z $purtargets ]]; then
  203. exit
  204. fi
  205. - # Test if aurpackages are already installed; echo warning if so
  206. - for pkg in "${aurtargets[@]}"; do
  207. + # Test if purpackages are already installed; echo warning if so
  208. + for pkg in "${purtargets[@]}"; do
  209. if existsinlocal "$pkg"; then
  210. localversion="$(pacman -Qs "$pkg" | grep -F "local/$pkg" | cut -d ' ' -f 2)"
  211. - if ! aurversionisnewer "$pkg" "$localversion"; then
  212. + if ! purversionisnewer "$pkg" "$localversion"; then
  213. echo -e "${COLOR6}warning:$ENDCOLOR $pkg-$localversion is up to date -- reinstalling"
  214. fi
  215. fi
  216. done
  217. # Echo warning if packages are out of date
  218. - for pkg in "${aurtargets[@]}" "${aurdepends[@]}"; do
  219. + for pkg in "${purtargets[@]}" "${purdepends[@]}"; do
  220. if isoutofdate "$pkg"; then
  221. echo -e "${COLOR6}warning:$ENDCOLOR $pkg is flagged out of date"
  222. fi
  223. done
  224. - # Prompt for aur packages and their dependencies
  225. + # Prompt for pur packages and their dependencies
  226. echo
  227. - if [[ $aurdepends ]]; then
  228. - num="$((${#aurdepends[@]}+${#aurtargets[@]}))"
  229. - echo -e "${COLOR6}Aur Targets ($num):${ENDCOLOR} ${aurdepends[@]} ${aurtargets[@]}"
  230. + if [[ $purdepends ]]; then
  231. + num="$((${#purdepends[@]}+${#purtargets[@]}))"
  232. + echo -e "${COLOR6}Pur Targets ($num):${ENDCOLOR} ${purdepends[@]} ${purtargets[@]}"
  233. else
  234. - echo -e "${COLOR6}Aur Targets ($((${#aurtargets[@]}))):${ENDCOLOR} ${aurtargets[@]}"
  235. + echo -e "${COLOR6}Pur Targets ($((${#purtargets[@]}))):${ENDCOLOR} ${purtargets[@]}"
  236. fi
  237. if [[ $pacmandepends ]]; then
  238. IFS=$'\n' read -rd '' -a pacmandepends < \
  239. @@ -450,18 +450,18 @@
  240. runasroot $PACMAN --noconfirm --asdeps -S -- "${pacmandepends[@]}" || err "Installation failed."
  241. fi
  242. - # Install aur dependencies
  243. - if [[ $aurdepends ]]; then
  244. - for dep in "${aurdepends[@]}"; do
  245. - aurinstall "$dep" "dependency"
  246. + # Install pur dependencies
  247. + if [[ $purdepends ]]; then
  248. + for dep in "${purdepends[@]}"; do
  249. + purinstall "$dep" "dependency"
  250. done
  251. fi
  252. - # Install the aur packages
  253. - for package in "${aurtargets[@]}"; do
  254. - scrapeaurdeps "$package"
  255. + # Install the pur packages
  256. + for package in "${purtargets[@]}"; do
  257. + scrapepurdeps "$package"
  258. if pacman -T "${dependencies[@]}" &>/dev/null; then
  259. - aurinstall "$package" "explicit"
  260. + purinstall "$package" "explicit"
  261. else
  262. echo "Dependencies for \`$package' are not met, not building..."
  263. fi
  264. @@ -469,16 +469,16 @@
  265. }
  266. run_quick_check() {
  267. - bigurl="https://aur.archlinux.org/rpc.php?type=multiinfo"
  268. + bigurl="https://pur.parabola.nu/rpc.php?type=multiinfo"
  269. for p in $(pacman -Qqm); do
  270. bigurl="$bigurl&arg\[\]=$p"
  271. done
  272. - parsed_aur="$(curl -s "$bigurl" | \
  273. + parsed_pur="$(curl -s "$bigurl" | \
  274. jshon -e results -a -e Name -u -p -e Version -u | \
  275. sed 's/^$/-/' | paste -s -d '\t\n' | sort)"
  276. packages="$(expac -Q '%n\t%v' | sort)"
  277. - comm -23 <(echo "$parsed_aur") <(echo "$packages") | cut -f 1
  278. - if [[ $auronly == 1 ]]; then
  279. + comm -23 <(echo "$parsed_pur") <(echo "$packages") | cut -f 1
  280. + if [[ $puronly == 1 ]]; then
  281. return
  282. fi
  283. # see https://mailman.archlinux.org/pipermail/pacman-dev/2011-October/014673.html
  284. @@ -527,7 +527,7 @@
  285. '--ignore') ignorearg="$2" ; PACOPTS+=("--ignore" "$2") ; shift ;;
  286. '--noconfirm') noconfirm='1' PACOPTS+=("--noconfirm");;
  287. '--noedit') noedit='1' ;;
  288. - '--auronly') auronly='1' ;;
  289. + '--puronly') puronly='1' ;;
  290. '--quickcheck') quickcheck='1' ;;
  291. '--devel') devel='1' ;;
  292. '--skipinteg') MAKEPKGOPTS="--skipinteg" ;;
  293. @@ -560,12 +560,12 @@
  294. getignoredpackages
  295. sourcemakepkgconf
  296. # Pacman update
  297. - if ! [[ $auronly ]]; then
  298. + if ! [[ $puronly ]]; then
  299. runasroot $PACMAN "${PACOPTS[@]}" "$pacmanarg"
  300. fi
  301. - # Aur update
  302. - echo -e "${COLOR5}:: ${COLOR1}Synchronizing aur database...${ENDCOLOR}"
  303. + # Pur update
  304. + echo -e "${COLOR5}:: ${COLOR1}Synchronizing pur database...${ENDCOLOR}"
  305. IFS=$'\n' read -rd '' -a packages < <(pacman -Qm)
  306. newpackages=()
  307. checkignores=()
  308. @@ -574,7 +574,7 @@
  309. if [[ $devel ]]; then
  310. for ((i=0; i<$total; i++)); do
  311. - aurbar "$((i+1))" "$total" "$bartype"
  312. + purbar "$((i+1))" "$total" "$bartype"
  313. pkg="${packages[i]%% *}"
  314. if isignored "$pkg"; then
  315. checkignores+=("${packages[i]}")
  316. @@ -603,7 +603,7 @@
  317. done
  318. else
  319. for ((i=0; i<$total; i++)); do
  320. - aurbar "$((i+1))" "$total" "$bartype"
  321. + purbar "$((i+1))" "$total" "$bartype"
  322. pkg="${packages[i]%% *}"
  323. rpcinfo "$pkg" &
  324. nap
  325. @@ -614,25 +614,25 @@
  326. ver="${packages[i]##* }"
  327. if isignored "$pkg"; then
  328. checkignores+=("${packages[i]}")
  329. - elif aurversionisnewer "$pkg" "$ver"; then
  330. + elif purversionisnewer "$pkg" "$ver"; then
  331. newpackages+=("$pkg")
  332. fi
  333. done
  334. fi
  335. echo
  336. - echo -e "${COLOR5}:: ${COLOR1}Starting full aur upgrade...${ENDCOLOR}"
  337. + echo -e "${COLOR5}:: ${COLOR1}Starting full pur upgrade...${ENDCOLOR}"
  338. # Check and output ignored package update info
  339. for package in "${checkignores[@]}"; do
  340. - if aurversionisnewer "${package%% *}" "${package##* }"; then
  341. - echo -e "${COLOR6}warning:${ENDCOLOR} ${package%% *}: ignoring package upgrade (${package##* } => $aurversion)"
  342. + if purversionisnewer "${package%% *}" "${package##* }"; then
  343. + echo -e "${COLOR6}warning:${ENDCOLOR} ${package%% *}: ignoring package upgrade (${package##* } => $purversion)"
  344. fi
  345. done
  346. # Now for the installation part
  347. if [[ $newpackages ]]; then
  348. - auronly='1'
  349. + puronly='1'
  350. installhandling "${newpackages[@]}"
  351. fi
  352. echo " local database is up to date"
  353. @@ -641,10 +641,10 @@
  354. # Download (-G) handling
  355. if [[ $option = download ]]; then
  356. for package in "${packageargs[@]}"; do
  357. - if existsinaur "$package"; then
  358. + if existsinpur "$package"; then
  359. pkglist+=("$package")
  360. else
  361. - err "Package \`$package' does not exist on aur."
  362. + err "Package \`$package' does not exist on pur."
  363. fi
  364. done
  365. @@ -658,7 +658,7 @@
  366. # Search (-Ss) handling
  367. if [[ $option = search || $option = searchinstall ]]; then
  368. # Pacman searching
  369. - if ! [[ $auronly ]]; then
  370. + if ! [[ $puronly ]]; then
  371. if [[ $quiet ]]; then
  372. results="$(pacman -Ssq -- "${packageargs[@]}")"
  373. else
  374. @@ -677,7 +677,7 @@
  375. pactotal=0
  376. fi
  377. - # Aur searching and tmpfile preparation
  378. + # Pur searching and tmpfile preparation
  379. for package in "${packageargs[@]}"; do
  380. curl -LfGs --data-urlencode "arg=$package" "$RPCURL=search" | \
  381. jshon -Q -e results -a -e Name -u -p -e Version -u -p -e NumVotes -u -p -e Description -u | \
  382. @@ -692,24 +692,24 @@
  383. sed -i '/^$/d' "$tmpdir/search.results"
  384. # Prepare tmp file and arrays
  385. - IFS=$'\n' read -rd '' -a aurname < <(cut -f 1 "$tmpdir/search.results")
  386. - aurtotal="${#aurname[@]}"
  387. - alltotal="$(($pactotal+$aurtotal))"
  388. + IFS=$'\n' read -rd '' -a purname < <(cut -f 1 "$tmpdir/search.results")
  389. + purtotal="${#purname[@]}"
  390. + alltotal="$(($pactotal+$purtotal))"
  391. # Echo out the -Ss formatted package information
  392. IFS=$'\t\n'
  393. if [[ $option = search ]]; then
  394. if [[ $quiet ]]; then
  395. - printf "%s\n" ${aurname[@]}
  396. + printf "%s\n" ${purname[@]}
  397. elif [[ -s "$tmpdir/search.results" ]]; then
  398. - printf "${COLOR3}aur/${COLOR1}%s ${COLOR2}%s${ENDCOLOR} (%s)\n %s\n" $(cat "$tmpdir/search.results")
  399. + printf "${COLOR3}pur/${COLOR1}%s ${COLOR2}%s${ENDCOLOR} (%s)\n %s\n" $(cat "$tmpdir/search.results")
  400. fi
  401. else
  402. # interactive
  403. if [[ $quiet ]]; then
  404. nl -v ${pactotal:-0} -w 1 -s ' ' <(cut -f 1 "$tmpdir/search.results")
  405. elif [[ -s "$tmpdir/search.results" ]]; then
  406. - printf "%d ${COLOR3}aur/${COLOR1}%s ${COLOR2}%s${ENDCOLOR} (%s)\n %s\n" $(nl -v ${pactotal:-0} -w 1 < "$tmpdir/search.results")
  407. + printf "%d ${COLOR3}pur/${COLOR1}%s ${COLOR2}%s${ENDCOLOR} (%s)\n %s\n" $(nl -v ${pactotal:-0} -w 1 < "$tmpdir/search.results")
  408. fi
  409. fi | fmt -"$_WIDTH" -s
  410. unset IFS
  411. @@ -717,7 +717,7 @@
  412. # Prompt and install selected numbers
  413. if [[ $option = searchinstall ]]; then
  414. pkglist=()
  415. - allpackages=( "${pacname[@]}" "${aurname[@]}" )
  416. + allpackages=( "${pacname[@]}" "${purname[@]}" )
  417. # Exit if there are no matches
  418. [[ $allpackages ]] || exit
  419. @@ -754,7 +754,7 @@
  420. # Pacman info check
  421. sourcemakepkgconf
  422. for package in "${packageargs[@]}"; do
  423. - if ! [[ $auronly ]] && existsinpacman "$package"; then
  424. + if ! [[ $puronly ]] && existsinpacman "$package"; then
  425. results="$(pacman -Si -- "$package")"
  426. results="$(sed -r "s|^(Repository[^:]*:)(.*)$|\1$S${COLOR3}\2$S${ENDCOLOR}|" <<< "$results")"
  427. results="$(sed -r "s|^(Name[^:]*:)(.*)$|\1$S${COLOR1}\2$S${ENDCOLOR}|" <<< "$results")"
  428. @@ -763,14 +763,14 @@
  429. results="$(sed -r "s|^[^ ][^:]*:|$S${COLOR1}&$S${ENDCOLOR}|" <<< "$results")"
  430. echo -e "$results"
  431. exit
  432. - else # Check to see if it is in the aur
  433. + else # Check to see if it is in the pur
  434. pkginfo "$package" "$preview"
  435. [[ -s "$tmpdir/$package.PKGBUILD" ]] || err "${COLOR7}error:${ENDCOLOR} package '$package' was not found"
  436. . "$tmpdir/$package.PKGBUILD"
  437. # Echo out the -Si formatted package information
  438. # Retrieve each element in order and echo them immediately
  439. - echo -e "${COLOR1}Repository : ${COLOR3}aur"
  440. + echo -e "${COLOR1}Repository : ${COLOR3}pur"
  441. echo -e "${COLOR1}Name : $pkgname"
  442. echo -e "${COLOR1}Version : ${COLOR2}$pkgver-$pkgrel"
  443. echo -e "${COLOR1}URL : ${COLOR4}$url"
  444. diff -Nur a/packer.8 b/packer.8
  445. --- a/packer.8 2015-08-28 16:26:27.881641047 -0300
  446. +++ b/packer.8 2015-08-28 16:28:32.232156389 -0300
  447. @@ -19,13 +19,13 @@
  448. .\" * MAIN CONTENT STARTS HERE *
  449. .\" -----------------------------------------------------------------
  450. .SH "NAME"
  451. -packer \- package manager utility for pacman repositories and the AUR
  452. +packer \- package manager utility for pacman repositories and the PUR
  453. .SH "SYNOPSIS"
  454. .sp
  455. \fIpacman\fR <operation> [options] [packages]
  456. .SH "DESCRIPTION"
  457. .sp
  458. -Packer is a bash wrapper for pacman and the AUR\&. It was designed to be a simple and very fast replacement for the basic functionality of yaourt\&. It allows you to install, update, search, and show information for any package in the main repositories and in the AUR\&. For other commands, such as removing packages, use pacman\&.
  459. +Packer is a bash wrapper for pacman and the PUR\&. It was designed to be a simple and very fast replacement for the basic functionality of yaourt\&. It allows you to install, update, search, and show information for any package in the main repositories and in the PUR\&. For other commands, such as removing packages, use pacman\&.
  460. .SH "OPERATIONS"
  461. .PP
  462. \fB\-Ss\fR
  463. @@ -50,7 +50,7 @@
  464. .PP
  465. \fB\-G\fR
  466. .RS 4
  467. -Download and extract AUR package tarballs, but don\(cqt install anything\&.
  468. +Download and extract PUR package tarballs, but don\(cqt install anything\&.
  469. .RE
  470. .PP
  471. \fB\-h\fR
  472. @@ -79,9 +79,9 @@
  473. Check for updates and exit\&.
  474. .RE
  475. .PP
  476. -\fB\-\-auronly\fR
  477. +\fB\-\-puronly\fR
  478. .RS 4
  479. -Only perform commands for the AUR\&.
  480. +Only perform commands for the PUR\&.
  481. .RE
  482. .PP
  483. \fB\-\-devel\fR
  484. @@ -91,7 +91,7 @@
  485. .PP
  486. \fB\-\-skipinteg\fR
  487. .RS 4
  488. -Skip the integrity check by ignoring AUR package MD5 sums\&.
  489. +Skip the integrity check by ignoring PUR package MD5 sums\&.
  490. .RE
  491. .PP
  492. \fB\-\-preview\fR
  493. @@ -123,8 +123,8 @@
  494. .sp -1
  495. .IP \(bu 2.3
  496. .\}
  497. -Update only AUR packages:
  498. -packer \-Syu \-\-auronly
  499. +Update only PUR packages:
  500. +packer \-Syu \-\-puronly
  501. .RE
  502. .sp
  503. .RS 4